> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squared.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connectors



## OpenAPI

````yaml GET /api/v1/connectors
openapi: 3.0.1
info:
  title: AI Squared API
  version: 1.0.0
servers:
  - url: https://api.squared.ai
security: []
paths:
  /api/v1/connectors:
    get:
      tags:
        - Connectors
      summary: Lists all connectors
      parameters:
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - source
              - destination
          description: Type of the connector
        - name: category
          in: query
          required: true
          schema:
            type: string
            enum:
              - data
              - ai_ml
          description: Category of the connector
      responses:
        '200':
          description: A list of connectors
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        attributes:
                          type: object
                          properties:
                            name:
                              type: string
                            connector_type:
                              type: string
                            workspace_id:
                              type: integer
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            configuration:
                              type: object
                              description: >-
                                Generic configuration for the connector.
                                Structure varies based on the connector_type.
                              additionalProperties: true
                            connector_name:
                              type: string
                            icon:
                              type: string
                  links:
                    type: object
                    properties:
                      self:
                        type: string
                      first:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                      last:
                        type: string
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````